###--- >>> `tempfile' <<<----- Create Names for Temporary Files

	## alias	 help(tempfile)

##___ Examples ___:

tempfile(c("ab", "a b c"))   # give file name with spaces in!
## One possibility of getting ALL environment variables;
## compare with `getenv':
fun <- function() {
  FILE <- tempfile("fun")
  on.exit(unlink(FILE))
  system(paste("printenv >", FILE))
  x <- strsplit(scan(FILE, what = ""), "=")
  v <- n <- character(LEN <- length(x))
  for (i in 1:LEN) {
    n[i] <- x[[i]][1]
    v[i] <- paste(x[[i]][-1], collapse = "=")
  }
  structure(v, names = n)
}
str(fun())
##Don't run: fun()

## Keywords: 'file'.


